Package com.databend.jdbc.examples

## Class DatabendConnectionFactory

- java.lang.Object
- - com.databend.jdbc.examples.DatabendConnectionFactory

All Implemented Interfaces:
  `org.apache.commons.pool2.PooledObjectFactory<Connection>`

    public class DatabendConnectionFactory
    extends Object
    implements org.apache.commons.pool2.PooledObjectFactory<Connection>

### Constructor Summary

Constructors
`DatabendConnectionFactory​(String url, Properties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activateObject​(org.apache.commons.pool2.PooledObject<Connection> p)`
`void` `destroyObject​(org.apache.commons.pool2.PooledObject<Connection> p)`
`org.apache.commons.pool2.PooledObject<Connection>` `makeObject()`
`void` `passivateObject​(org.apache.commons.pool2.PooledObject<Connection> p)`
`boolean` `validateObject​(org.apache.commons.pool2.PooledObject<Connection> p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.commons.pool2.PooledObjectFactory

`destroyObject`

### Constructor Detail

#### DatabendConnectionFactory

    public DatabendConnectionFactory​(String url,
                                     Properties properties)

### Method Detail

#### makeObject

    public org.apache.commons.pool2.PooledObject<Connection> makeObject()
                                                                 throws Exception

Specified by:
  `makeObject` in interface `org.apache.commons.pool2.PooledObjectFactory<Connection>`
Throws:
  `Exception`

#### destroyObject

    public void destroyObject​(org.apache.commons.pool2.PooledObject<Connection> p)
                       throws Exception

Specified by:
  `destroyObject` in interface `org.apache.commons.pool2.PooledObjectFactory<Connection>`
Throws:
  `Exception`

#### validateObject

    public boolean validateObject​(org.apache.commons.pool2.PooledObject<Connection> p)

Specified by:
  `validateObject` in interface `org.apache.commons.pool2.PooledObjectFactory<Connection>`

#### activateObject

    public void activateObject​(org.apache.commons.pool2.PooledObject<Connection> p)
                        throws Exception

Specified by:
  `activateObject` in interface `org.apache.commons.pool2.PooledObjectFactory<Connection>`
Throws:
  `Exception`

#### passivateObject

    public void passivateObject​(org.apache.commons.pool2.PooledObject<Connection> p)
                         throws Exception

Specified by:
  `passivateObject` in interface `org.apache.commons.pool2.PooledObjectFactory<Connection>`
Throws:
  `Exception`